1

I got this issue after upgrading Magento to the Magento ver. 2.4.5-p1.

1 Answer 1

2

replace

<type name="Magento\Framework\View\TemplateEngine\Php">
    <arguments>
        <argument name="blockVariables" xsi:type="array">
            <item name="secureRenderer" xsi:type="object">Magento\Framework\View\Helper\SecureHtmlRenderer\Proxy</item>
            <item name="escaper" xsi:type="object">Magento\Framework\Escaper</item>
        </argument>
    </arguments>
</type>

To

<type name="Magento\Framework\View\TemplateEngine\Php">
    <arguments>
        <argument name="blockVariables" xsi:type="array">
            <item name="secureRenderer" xsi:type="object">Magento\Framework\View\Helper\SecureHtmlRenderer\Proxy</item>
            <item name="escaper" xsi:type="object">Magento\Framework\Escaper</item>
            <item name="localeFormatter" xsi:type="object">Magento\Framework\Locale\LocaleFormatter</item>
        </argument>
    </arguments>
</type>

In app/etc/di.xml

1
  • Thanks for the solution, it is working for me Commented Feb 13, 2023 at 7:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.